GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Enumerations | Functions
timers.h File Reference

Go to the source code of this file.

## Macros
#define | GRPC_TIMER_MARK(tag, id)
#define | GRPC_TIMER_IMPORTANT_MARK(tag, id)
#define | GRPC_TIMER_BEGIN(tag, id)
#define | GRPC_TIMER_END(tag, id)

## Enumerations
enum | grpc_profiling_tags { GRPC_PTAG_IGNORE_THRESHOLD = 1000000, GRPC_PTAG_PROTO_SERIALIZE = 100 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_PROTO_DESERIALIZE = 101 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_HANDLE_READ = 200 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_SENDMSG = 201 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_RECVMSG = 202 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_POLL_FINISHED = 203 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_TCP_CB_WRITE = 204 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_TCP_WRITE = 205 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_CALL_ON_DONE_RECV = 206 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_CPP_CALL_CREATED = 300 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_CPP_PERFORM_OPS = 301 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_HTTP2_UNLOCK = 401 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_HTTP2_UNLOCK_CLEANUP = 402 + GRPC_PTAG_IGNORE_THRESHOLD, GRPC_PTAG_OTHER_BASE = 1024 }

## Functions
void | grpc_timers_global_init (void)
void | grpc_timers_global_destroy (void)
void | grpc_timer_add_mark (int tag, const char *tagstr, void *id, const char *file, int line)
void | grpc_timer_add_important_mark (int tag, const char *tagstr, void *id, const char *file, int line)
void | grpc_timer_begin (int tag, const char *tagstr, void *id, const char *file, int line)
void | grpc_timer_end (int tag, const char *tagstr, void *id, const char *file, int line)

## Macro Definition Documentation

#define GRPC_TIMER_BEGIN | ( |  | tag,
|  |  | id
| ) |  |

Value:
do { \
} while (0)

#define GRPC_TIMER_END | ( |  | tag,
|  |  | id
| ) |  |

Value:
do { \
} while (0)

#define GRPC_TIMER_IMPORTANT_MARK | ( |  | tag,
|  |  | id
| ) |  |

Value:
do { \
} while (0)

#define GRPC_TIMER_MARK | ( |  | tag,
|  |  | id
| ) |  |

Value:
do { \
} while (0)

## Enumeration Type Documentation

enum grpc_profiling_tags

Enumerator
GRPC_PTAG_IGNORE_THRESHOLD |
GRPC_PTAG_PROTO_SERIALIZE |
GRPC_PTAG_PROTO_DESERIALIZE |
GRPC_PTAG_HANDLE_READ |
GRPC_PTAG_SENDMSG |
GRPC_PTAG_RECVMSG |
GRPC_PTAG_POLL_FINISHED |
GRPC_PTAG_TCP_CB_WRITE |
GRPC_PTAG_TCP_WRITE |
GRPC_PTAG_CALL_ON_DONE_RECV |
GRPC_PTAG_CPP_CALL_CREATED |
GRPC_PTAG_CPP_PERFORM_OPS |
GRPC_PTAG_HTTP2_UNLOCK |
GRPC_PTAG_HTTP2_UNLOCK_CLEANUP |
GRPC_PTAG_OTHER_BASE |

## Function Documentation

void grpc_timer_add_important_mark | ( | int | tag,
|  | const char * | tagstr,
|  | void * | id,
|  | const char * | file,
|  | int | line
| ) |  |

void grpc_timer_add_mark | ( | int | tag,
|  | const char * | tagstr,
|  | void * | id,
|  | const char * | file,
|  | int | line
| ) |  |

void grpc_timer_begin | ( | int | tag,
|  | const char * | tagstr,
|  | void * | id,
|  | const char * | file,
|  | int | line
| ) |  |

void grpc_timer_end | ( | int | tag,
|  | const char * | tagstr,
|  | void * | id,
|  | const char * | file,
|  | int | line
| ) |  |

void grpc_timers_global_destroy | ( | void |  | ) |

void grpc_timers_global_init | ( | void |  | ) |